%define name	lv
%define version	4.49.4
%define rel 9
%define vver	4494

Summary: A Powerful Multilingual File Viewer
Name: %{name}
Version: %{version}
Release: %{rel}
License: distributable
Group: Applications/Text
URL: http://www.ff.iij4u.or.jp/~nrt/lv/
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
BuildPrereq: libtermcap-devel
Source: http://www.ff.iij4u.or.jp/~nrt/freeware/%{name}%{vver}.tar.gz
Patch0: lv-fix-install-opts.gz
Patch1: lv-4.49.4-nonstrip.patch

%description
lv is a powerful file viewer like less.
lv can decode and encode multilingual streams through
many coding systems: ISO-8859, ISO-2022, EUC, SJIS, Big5,
HZ, Unicode.
It recognizes multi-bytes patterns as regular
expressions, lv also provides multilingual grep.
In addition, lv can recognize ANSI escape sequences
for text devoration.

%prep
%setup -q -n %{name}%{vver}
%patch0 -p1
%patch1 -p1 -b .nonstrip

%build
cd src
%configure
make

%install
cd src
%{__rm} -rf $RPM_BUILD_ROOT
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
%{__mkdir_p} $RPM_BUILD_ROOT%{_mandir}/man1
%makeinstall

%files
%defattr(-, root, root)
%doc GPL.txt README build hello.sample hello.sample.gif index.html
%doc lv.1 lv.hlp relnote.html
%{_bindir}/lv
%{_bindir}/lgrep
%{_mandir}/man1/lv.1.gz
%{_libdir}/lv

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Nov 20 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Akira TAGOH <tagoh@redhat.com> 4.49.4-6
- lv-4.49.4-nonstrip.patch: applied to fix the stripped binary.
- s/Copyright/License/

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jul 24 2001 SATO Satoru <ssato@redhat.com>
- BuildPrereq: libtermcap-devel (close #49517)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Dec 20 2000 SATO Satoru <ssato@redhat.com>
- clean up spec

* Tue Dec 19 2000 SATO Satoru <ssato@redhat.com>
- new upstream
- use system-defined macros

* Thu Aug 24 2000 SATO Satoru <ssato@redhat.com>
- fix spec (remove japanese description)

* Mon Aug 07 2000 SATO Satoru <ssato@redhat.com>
- fix spec (make prefix... replaced with %makeinstall)

* Tue Jul 04 2000 SATO Satoru <ssato@redhat.com>
- initial release.

